package config

type Config struct {
	Env string `env:"ENV" env-default:"prod"`

	Address      string `env:"ADDRESS" env-default:":8090"`
	ProxyAddress string `env:"PROXY_ADDRESS" env-default:":8091"`

	PostgresDSN string `env:"POSTGRES_DSN" required:"true"`
	RedisDSN    string `env:"REDIS_DSN" required:"true"`

	JWTSecret string `env:"JWT_SECRET" required:"true"`

	AdminUsername string `env:"ADMIN_USERNAME" env-default:"admin"`
	AdminPassword string `env:"ADMIN_PASSWORD" env-default:"admin"`
}
